require( "scripts/common/simple_object.lua" );

local	indicator_pos_x = 23;
local	indicator_pos_y = -40;

local ObjectTable = GetObjectTable("vasecorridor1");


vasefloor = simple_object:new{
	current_action_character="toddler",
	anchor_x=0,
	anchor_y=35,
	texture="anim/objects/vasefloor/vasefloor",
	animation_script="anim/objects/default_animation_script.lua",
	glow_texture="anim/objects/vasefloor/vasefloor_glow",
	glow_animation_script="anim/objects/default_glow_animation_script.lua",
	indicator_ui_x=indicator_pos_x,
	indicator_ui_y=indicator_pos_y,
	dad_ui_x=indicator_pos_x,
	dad_ui_y=indicator_pos_y+26,
	mom_ui_x=indicator_pos_x,
	mom_ui_y=indicator_pos_y+26,
	messing_state_time = 0,
	
	messing_state_time = 500,
	cleaning_state_time = 3000,

	messing_state_time = ObjectTable["messing_time"],
	cleaning_state_time = ObjectTable["cleaning_time"],
	stress_inc = ObjectTable["stress_inc"],

}

function vasefloor:new(o)
	o = o or {}   -- create object if user does not provide one
	setmetatable(o, self)
	self.__index = self
	return o
end
